class Config(object):
    """
    User configuration object
    """

    def __init__(self, user: str, token: str, organization: str):
        super().__init__()
        self.__user = user if user.startswith(
            'user-') else 'user-{}'.format(user)
        self.__token = token
        self.__organization = organization

    @property
    def user(self):
        return self.__user

    @property
    def token(self):
        return self.__token

    @property
    def organization(self):
        return self.__organization

    def asdict(self):
        """Converts the config instance to a old dict style config"""
        return {
            'abeja-platform-user': self.user,
            'personal-access-token': self.token,
            'organization-name': self.organization
        }
